<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-241"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2FCategory%2FUIView%2BSetRect.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/UIView+SetRect.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_view_09_set_rect_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UIView+SetRect.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_view_09_set_rect_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  UIView+SetRect.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  TestLog</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Topredator on 2017/11/28.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html">   11</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="category_u_i_view_07_set_rect_08.html">UIView (SetRect)</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp;<span class="comment">/*----------------------</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="comment"> * Absolute coordinate *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;<span class="comment"> ----------------------*/</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#ac4a20cda70eeac074eb1dbb67137396c">   16</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGPoint viewOrigin;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a570559c0b5cbb70d4652e8c80b74c309">   17</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGSize  viewSize;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a61905ef4ac40874f9dcf0607b60c1096">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat x;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a07fb47e905bce8feda18327fa7c109ac">   20</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat y;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a8def5b49560bf10ebcc31c375f4e6da1">   21</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat width;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a0d3e8a1ec0fcc279f52edf349eafa65b">   22</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat height;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#aa2dd2b25734cefd4c5b830030ef32e73">   24</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat top;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#aa41b4608e0456ec724b0825f4ce626ee">   25</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat bottom;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#abf90af41ddcaf404b54bffc27bb0eb69">   26</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat left;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#aeb4bd71572d58014ccef226e894e7347">   27</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat right;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a264de5e187b6a8429742f9796ecfca1b">   29</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat centerX;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a69f7db9faa42cb793bffc60adb381f26">   30</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic) CGFloat centerY;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;<span class="comment">/*----------------------</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;<span class="comment"> * Relative coordinate *</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;<span class="comment"> ----------------------*/</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp; </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a09b31e8cce38390f96904cad5437ba3d">   36</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, readonly) CGFloat middleX;</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#a407a197a74ddcad05d2bba1454b66a3d">   37</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, readonly) CGFloat middleY;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="category_u_i_view_07_set_rect_08.html#aa4f3c31ce1d5c8eb465ff3165dad7ade">   38</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, readonly) CGPoint middlePoint;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="acategory_u_i_view_07_set_rect_08_html"><div class="ttname"><a href="category_u_i_view_07_set_rect_08.html">UIView(SetRect)</a></div><div class="ttdef"><b>Definition:</b> UIView+SetRect.h:11</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_6aab43a226a6a6887d476b2e5d48e49d.html">Category</a></li><li class="navelem"><a class="el" href="_u_i_view_09_set_rect_8h.html">UIView+SetRect.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>